<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::TypeAnalysis::ConstEvaluator</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../TypeAnalysis.html" >TypeAnalysis</a>
</div><div class="class-name">class ConstEvaluator

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/TypeAnalysis/ConstEvaluator.hh.html" target="detail">../Synopsis/TypeAnalysis/ConstEvaluator.hh</a></div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mConstEvaluator" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line22" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="ConstEvaluator-inheritance" src="ConstEvaluator-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ConstEvaluator-inheritance_map" />
<map name="ConstEvaluator-inheritance_map"><area alt="Scopes/Synopsis/PTree/Visitor.html" href="../PTree/Visitor.html" shape="rect" coords="51, 7, 208, 31" />
</map>
 <div class="doc"><p>Evaluate the value of a constant expression.</p>
</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="ConstEvaluator_lconst.SymbolLookup_mScope_S_r">ConstEvaluator</a>(const&#160;<a href="../SymbolLookup/Scope.html" >SymbolLookup::Scope</a>* <span class="variable">s</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line25" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="evaluate_lconst.PTree_mNode_S_clong_A_r">evaluate</a>(const&#160;<a href="../PTree/Node.html" >PTree::Node</a>* <span class="variable">node</span>, long&amp; <span class="variable">value</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line26" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Member functions Summary:</div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPTree_mLiteral_S_r">visit</a>(<a href="../PTree/Literal.html" >PTree::Literal</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line29" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPTree_mIdentifier_S_r">visit</a>(<a href="../PTree/Identifier.html" >PTree::Identifier</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line30" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPTree_mFstyleCastExpr_S_r">visit</a>(<a href="../PTree/FstyleCastExpr.html" >PTree::FstyleCastExpr</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line31" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPTree_mInfixExpr_S_r">visit</a>(<a href="../PTree/InfixExpr.html" >PTree::InfixExpr</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPTree_mSizeofExpr_S_r">visit</a>(<a href="../PTree/SizeofExpr.html" >PTree::SizeofExpr</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPTree_mUnaryExpr_S_r">visit</a>(<a href="../PTree/UnaryExpr.html" >PTree::UnaryExpr</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line34" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPTree_mCondExpr_S_r">visit</a>(<a href="../PTree/CondExpr.html" >PTree::CondExpr</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="visit_lPTree_mParenExpr_S_r">visit</a>(<a href="../PTree/ParenExpr.html" >PTree::ParenExpr</a>*)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line36" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">bool <a class="name" id="my_valid">my_valid</a></div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mConstEvaluator_mmy_valid" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line38" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">long <a class="name" id="my_value">my_value</a></div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mConstEvaluator_mmy_value" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line39" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">const&#160;<a href="../SymbolLookup/Scope.html" >SymbolLookup::Scope</a>* <a class="name" id="my_scope">my_scope</a></div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mConstEvaluator_mmy_scope" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#line40" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:28:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
